Introducing confident-trace — our new tracing SDK

List Governance Policies

(v1)

GET

Lists your organization's governance policies. Each policy includes the projects assigned to it, its own controls, and the base policies whose controls it inherits.

GET/v1/organization/governance-policies
curl -X GET "https://api.confident-ai.com/v1/organization/governance-policies" \
  -H "CONFIDENT_API_KEY: <ORGANIZATION-API-KEY>"
200
{
  "success": true,
  "data": {
    "governancePolicies": [
      {
        "id": "gov-policy-uuid-1",
        "name": "Production Gate",
        "description": "Pre-deployment gate for production agents",
        "projectsCount": 1,
        "isBasePolicy": false,
        "controls": [
          {
            "id": "control-uuid-1",
            "name": "Logs traces before production",
            "type": "PRE_DEPLOYMENT_EVALS"
          },
          {
            "id": "control-uuid-0",
            "name": "Has alert integrations",
            "type": "OPERATIONAL"
          }
        ]
      }
    ]
  }
}

Headers

  • CONFIDENT_API_KEYstringRequired

    The organization API key for your Confident AI organization.

Response

  • successboolean

    Indicates if the request was successful

  • dataobject

    Show 1 propertyHide 1 property
    • governancePolicieslist of objects

      The organization's governance policies

      Show 6 propertiesHide 6 properties
      • idstring

        The unique identifier of the governance policy.

      • namestring

        The name of the governance policy.

      • descriptionstring

        Optional description of the governance policy.

      • projectsCountinteger

        The number of projects assigned to this policy.

      • isBasePolicyboolean

        Whether other policies extend this policy and inherit its controls.

      • controlslist of objects

        Every control that applies to this policy's projects, including controls inherited from any policies it extends.

        Show 3 propertiesHide 3 properties
        • idstring

          The unique identifier of the control.

        • namestring

          The name of the control.

        • typeenum

          The control type.

          Show 4 enum valuesHide 4 enum values
          • RUNTIME
          • PRE_DEPLOYMENT_EVALS
          • PRE_DEPLOYMENT_RED_TEAMING
          • OPERATIONAL
Built byConfident AI